com.hazelcast.config

## Class AbstractBasicConfig<T extends AbstractBasicConfig>

- java.lang.Object
- - com.hazelcast.config.AbstractBasicConfig<T>

- Type Parameters:
    `T` - type of the config
  All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, SplitBrainMergeTypeProvider
  Direct Known Subclasses:
    AtomicLongConfig, AtomicReferenceConfig

      public abstract class AbstractBasicConfig<T extends AbstractBasicConfig>
      extends Object
      implements SplitBrainMergeTypeProvider, IdentifiedDataSerializable, NamedConfig

  Provides a basic configuration for a split-brain aware data structure.
  Since:
    3.10

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MergePolicyConfig` | `mergePolicyConfig`
    `protected String` | `name`
    `protected String` | `quorumName`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicConfig()`
    `protected` | `AbstractBasicConfig(AbstractBasicConfig config)`
    `protected` | `AbstractBasicConfig(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `MergePolicyConfig` | `getMergePolicyConfig()` Gets the `MergePolicyConfig` of this data structure.
    `String` | `getName()` Gets the name of this data structure.
    `String` | `getQuorumName()` Returns the quorum name for operations.
    `T` | `setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)` Sets the `MergePolicyConfig` for this data structure.
    `T` | `setName(String name)` Sets the name of this data structure.
    `T` | `setQuorumName(String quorumName)` Sets the quorum name for operations.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.spi.merge.SplitBrainMergeTypeProvider

      `getProvidedMergeTypes`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.IdentifiedDataSerializable

      `getId`

    - ### Methods inherited from interface com.hazelcast.nio.serialization.DataSerializable

      `readData, writeData`

- - ### Field Detail

    - #### name

          protected String name

    - #### quorumName

          protected String quorumName

    - #### mergePolicyConfig

          protected MergePolicyConfig mergePolicyConfig

  - ### Constructor Detail

    - #### AbstractBasicConfig

          protected AbstractBasicConfig()

    - #### AbstractBasicConfig

          protected AbstractBasicConfig(String name)

    - #### AbstractBasicConfig

          protected AbstractBasicConfig(AbstractBasicConfig config)

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of this data structure.
      Specified by:
        `getName` in interface `NamedConfig`
      Returns:
        the name of this data structure

    - #### setName

          public T setName(String name)

      Sets the name of this data structure.
      Specified by:
        `setName` in interface `NamedConfig`
      Parameters:
        `name` - the name of this data structure
      Returns:
        the updated configuration

    - #### getMergePolicyConfig

          public MergePolicyConfig getMergePolicyConfig()

      Gets the `MergePolicyConfig` of this data structure.
      Returns:
        the `MergePolicyConfig` of this data structure

    - #### setMergePolicyConfig

          public T setMergePolicyConfig(MergePolicyConfig mergePolicyConfig)

      Sets the `MergePolicyConfig` for this data structure.
      Returns:
        the updated configuration

    - #### getQuorumName

          public String getQuorumName()

      Returns the quorum name for operations.
      Returns:
        the quorum name

    - #### setQuorumName

          public T setQuorumName(String quorumName)

      Sets the quorum name for operations.
      Parameters:
        `quorumName` - the quorum name
      Returns:
        the updated configuration

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

Copyright © 2019. All rights reserved.